--boxstory

function love.load()

	love.graphics.setBackgroundColor(220, 176, 233, 255)
	
	littleBox = {} --a table for the small box
	
	littleBox.x = 400
	littleBox.y = 435
	littleBox.speed = 250
	
	bigBox = {} --a table for the big box
	
	bigBox.x = 600
	bigBox.y = 400
	
end


function love.update(dt)
    
    --controls
    if love.keyboard.isDown("left") then    
    	littleBox.x = littleBox.x - littleBox.speed*dt 
    	  
   		elseif love.keyboard.isDown("right") then    
    	littleBox.x = littleBox.x + littleBox.speed*dt  
    	  	
    	elseif love.keyboard.isDown("up") then    	
    	littleBox.y = littleBox.y - littleBox.speed*dt  
    	  
    	elseif love.keyboard.isDown("down") then    
    	littleBox.y = littleBox.y + littleBox.speed*dt
    	
    end
    
    --bounding box
    if littleBox.x < 0 then 
    	littleBox.x = 0
    end
    
    if littleBox.x > 770 then 
    	littleBox.x = 770
    end
    
    if littleBox.y > 570 then
    	littleBox.y = 570
    end
    
    if littleBox.y < 0 then
    	littleBox.y = 0
    end	     
    
end
    
function love.draw()

	--intro text
	love.graphics.setColor(255, 255, 255, 200)
	love.graphics.print("This is the story of two boxes.\n\nYou can control the smaller one\nwith the arrow keys.", 30, 30)

    --default screen
    love.graphics.setColor(255, 255, 255, 95)
    love.graphics.rectangle("fill", 0, 465, 800, 150)
    love.graphics.rectangle("fill", littleBox.x, littleBox.y, 30, 30)
	love.graphics.rectangle("fill", bigBox.x, bigBox.y, 65, 65)
	
	--small box in big box
	if littleBox.x > 575 and littleBox.x < 650 and littleBox.y > 385 and littleBox.y < 450 then
    
    	love.graphics.setColor(255, 255, 255, 200)
    	love.graphics.rectangle("fill", 600, 400, 65, 65)
    	
    	love.graphics.setColor(220, 176, 233, 200)
    	love.graphics.rectangle("fill", littleBox.x, littleBox.y, 30, 30)
    	
    	love.graphics.setColor(255, 255, 255, 200)
    	love.graphics.print("Box is in other box! Meta!", 30, 100)
    
    end
    
    --box is underground
    if littleBox.y > 465 then
    
    	love.graphics.setColor(255, 255, 255, 200)
    	love.graphics.rectangle("fill", 0, 465, 800, 150)
    	
    	love.graphics.setColor(220, 176, 233, 200)
    	love.graphics.rectangle("fill", littleBox.x, littleBox.y, 30, 30)
    	
    	love.graphics.setColor(255, 255, 255, 200)
    	love.graphics.print("Box is underground! Hot damn!", 30, 100)
    
    end
	    
end
